@echo off
title = Grand Central Class 221 Reskin Installer

echo Now copying required files to reskin folders
echo

copy "JustTrains\Voyager\RailVehicles\Diesel\220\Skirt\Skirt.GeoPcDx" "Assets\JustTrains\Voyager\RailVehicles\Diesel\221\GrandCentral"
copy "JustTrains\Voyager\RailVehicles\Diesel\220\Skirt\Textures\SkirtBump.TgPcDx" "Assets\JustTrains\Voyager\RailVehicles\Diesel\221\GrandCentral\Textures"

cls
echo Starting GeoPcDx conversions
echo.
echo.

cd ../

copy "Assets\JustTrains\Voyager\RailVehicles\Diesel\221\German\Engine\a25_locomotive_221_dmf_ger.GeoPcDx" "Assets\Temp\dmf_ger.bin"
copy "Assets\JustTrains\Voyager\RailVehicles\Diesel\221\German\Engine\a25_locomotive_221_dmsl_ger.GeoPcDx" "Assets\Temp\dmsl_ger.bin"
copy "Assets\JustTrains\Voyager\RailVehicles\Diesel\221\German\Engine\a25_locomotive_221_msa_ger.GeoPcDx" "Assets\Temp\msa_ger.bin"
copy "Assets\JustTrains\Voyager\RailVehicles\Diesel\221\German\Engine\a25_locomotive_221_msb_ger.GeoPcDx" "Assets\Temp\msb_ger.bin"
copy "Assets\JustTrains\Voyager\RailVehicles\Diesel\221\German\Engine\a25_locomotive_221_msb2_ger.GeoPcDx" "Assets\Temp\msb2_ger.bin"



serz.exe "Assets\Temp\dmf_ger.bin"
serz.exe "Assets\Temp\dmsl_ger.bin"
serz.exe "Assets\Temp\msa_ger.bin"
serz.exe "Assets\Temp\msb_ger.bin"
serz.exe "Assets\Temp\msb2_ger.bin"

cls
echo Now modifying copied GeoPcDx files

cd "Assets\Temp"
del "*.bin" /F >NUL

powershell -Command "(gc dmf_ger.xml) -replace [regex]::escape('..\..\default\engine\textures\[00]jt_221_infopanel'),'textures\[00]jt_221_infopanel' | Set-Content dmf_ger.xml"
powershell -Command "(gc dmsl_ger.xml) -replace [regex]::escape('..\..\default\engine\textures\[00]jt_221_infopanel'),'textures\[00]jt_221_infopanel' | Set-Content dmsl_ger.xml"
powershell -Command "(gc dmf_ger.xml) -replace [regex]::escape('..\..\default\engine\textures\[00]jt_221_blind'),'textures\[00]jt_221_blind' | Set-Content dmf_ger.xml"
powershell -Command "(gc dmsl_ger.xml) -replace [regex]::escape('..\..\default\engine\textures\[00]jt_221_blind'),'textures\[00]jt_221_blind' | Set-Content dmsl_ger.xml"
powershell -Command "(gc msa_ger.xml) -replace [regex]::escape('..\..\default\engine\textures\[00]jt_221_blind'),'textures\[00]jt_221_blind' | Set-Content msa_ger.xml"
powershell -Command "(gc msb_ger.xml) -replace [regex]::escape('..\..\default\engine\textures\[00]jt_221_blind'),'textures\[00]jt_221_blind' | Set-Content msb_ger.xml"
powershell -Command "(gc msb2_ger.xml) -replace [regex]::escape('..\..\default\engine\textures\[00]jt_221_blind'),'textures\[00]jt_221_blind' | Set-Content msb2_ger.xml"
powershell -Command "(gc msa_ger.xml) -replace [regex]::escape('voy_dmftex1'),'voy_dmsltex1' | Set-Content msa_ger.xml"
powershell -Command "(gc dmf_ger.xml) -replace [regex]::escape('primarydigits_11'),'primarydigits' | Set-Content dmf_ger.xml"
powershell -Command "(gc dmsl_ger.xml) -replace [regex]::escape('primarydigits_11'),'primarydigits' | Set-Content dmsl_ger.xml"

cd ../../

serz.exe "Assets\Temp\dmf_ger.xml"
serz.exe "Assets\Temp\dmsl_ger.xml"
serz.exe "Assets\Temp\msa_ger.xml"
serz.exe "Assets\Temp\msb_ger.xml"
serz.exe "Assets\Temp\msb2_ger.xml"

copy "Assets\Temp\dmf_ger.bin" "Assets\JustTrains\Voyager\RailVehicles\Diesel\221\GrandCentral\Engine\a25_locomotive_221_dmf.GeoPcDx"
copy "Assets\Temp\dmsl_ger.bin" "Assets\JustTrains\Voyager\RailVehicles\Diesel\221\GrandCentral\Engine\a25_locomotive_221_dmsl.GeoPcDx"
copy "Assets\Temp\msa_ger.bin" "Assets\JustTrains\Voyager\RailVehicles\Diesel\221\GrandCentral\Engine\a25_locomotive_221_msa.GeoPcDx"
copy "Assets\Temp\msb_ger.bin" "Assets\JustTrains\Voyager\RailVehicles\Diesel\221\GrandCentral\Engine\a25_locomotive_221_msb.GeoPcDx"
copy "Assets\Temp\msb2_ger.bin" "Assets\JustTrains\Voyager\RailVehicles\Diesel\221\GrandCentral\Engine\a25_locomotive_221_msb2.GeoPcDx"

rmdir /S /Q "Assets\Temp" >NUL

cd "Assets"

echo GeoPcDx files now modified and copied back to original location

echo Installer finished

pause

del "InstallGC221.bat"
